Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.prefs
Interface NodeChangeListener

All Superinterfaces:
  EventListener

    public interface NodeChangeListener

extends EventListener

A listener for receiving preference node change events.

Since:
  1.4
See Also:
  `Preferences`, `NodeChangeEvent`, `PreferenceChangeListener`

Method Summary
`void` | `childAdded(NodeChangeEvent evt)` This method gets called when a child node is added.
`void` | `childRemoved(NodeChangeEvent evt)` This method gets called when a child node is removed.

Method Detail

### childAdded

    void childAdded(NodeChangeEvent evt)

  This method gets called when a child node is added.

  Parameters:
    `evt` - A node change event object describing the parent and child node.

### childRemoved

    void childRemoved(NodeChangeEvent evt)

  This method gets called when a child node is removed.

  Parameters:
    `evt` - A node change event object describing the parent and child node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.